> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show StaffMember entity.

- Product: Staff members
- Section: StaffMember
- Snapshot: Current
- Method: `GET`
- Path: `/api/staff_members/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `settings`

Type: `boolean`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.staffMembers.get({
  id: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/staff_members/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "name": "name",
  "email": "email",
  "created": "created",
  "phoneNumber": "phoneNumber",
  "phoneNumberHome": "phoneNumberHome",
  "phoneNumberWork": "phoneNumberWork",
  "profilePicture": "profilePicture",
  "token": "token",
  "contactId": "contactId",
  "confirmedPushNotification": false,
  "allowedToChangeTasks": false,
  "modified": "modified",
  "taskCategory": {
    "id": 0,
    "description": "description",
    "created": "created",
    "modified": "modified",
    "staffMemberOrganization": {
      "id": 0,
      "name": "name",
      "address": "address",
      "postalCode": "postalCode",
      "locality": "locality",
      "country": "country",
      "email": "email",
      "phoneNumber": "phoneNumber",
      "vatNumber": "vatNumber",
      "companyRegistrationNumber": "companyRegistrationNumber",
      "iban": "iban",
      "bic": "bic",
      "created": "created",
      "modified": "modified"
    }
  },
  "staffMemberOrganization": {
    "id": 0,
    "name": "name",
    "address": "address",
    "postalCode": "postalCode",
    "locality": "locality",
    "country": "country",
    "email": "email",
    "phoneNumber": "phoneNumber",
    "vatNumber": "vatNumber",
    "companyRegistrationNumber": "companyRegistrationNumber",
    "iban": "iban",
    "bic": "bic",
    "created": "created",
    "modified": "modified"
  }
}
```

##### Schema

###### StaffMemberSpecification

Type: `StaffMemberSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `email`

Type: `string`  
Required: yes  

###### `phoneNumber`

Type: `string`  
Required: no  

###### `phoneNumberHome`

Type: `string`  
Required: no  

###### `phoneNumberWork`

Type: `string`  
Required: no  

###### `profilePicture`

Type: `string`  
Required: no  

###### `token`

Type: `string`  
Required: no  

###### `contactId`

Type: `string`  
Required: no  

###### `confirmedPushNotification`

Type: `boolean`  
Required: no  
Default: `false`  

###### `allowedToChangeTasks`

Type: `boolean`  
Required: no  
Default: `false`  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `taskCategory`

Type: `TaskCategory`  
Required: no  

###### TaskCategory

Type: `TaskCategory`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: no  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `staffMemberOrganization`

Type: `StaffMemberOrganization`  
Required: no  

###### StaffMemberOrganization

Type: `StaffMemberOrganization`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `address`

Type: `string`  
Required: no  

###### `postalCode`

Type: `string`  
Required: no  

###### `locality`

Type: `string`  
Required: no  

###### `country`

Type: `string`  
Required: no  

###### `email`

Type: `string`  
Required: no  

###### `phoneNumber`

Type: `string`  
Required: no  

###### `vatNumber`

Type: `string`  
Required: no  

###### `companyRegistrationNumber`

Type: `string`  
Required: no  

###### `iban`

Type: `string`  
Required: no  

###### `bic`

Type: `string`  
Required: no  

###### `created`

Type: `string`  
Format: `date-time`  
Required: no  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `staffMemberOrganization`

Type: `StaffMemberOrganization`  
Required: no  

###### StaffMemberOrganization

Type: `StaffMemberOrganization`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `address`

Type: `string`  
Required: no  

###### `postalCode`

Type: `string`  
Required: no  

###### `locality`

Type: `string`  
Required: no  

###### `country`

Type: `string`  
Required: no  

###### `email`

Type: `string`  
Required: no  

###### `phoneNumber`

Type: `string`  
Required: no  

###### `vatNumber`

Type: `string`  
Required: no  

###### `companyRegistrationNumber`

Type: `string`  
Required: no  

###### `iban`

Type: `string`  
Required: no  

###### `bic`

Type: `string`  
Required: no  

###### `created`

Type: `string`  
Format: `date-time`  
Required: no  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/staff-members/methods/get/)
- [TypeScript Markdown](/staff-members/methods/get.md?lang=typescript)
- [curl Markdown](/staff-members/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/staff-members/llms.txt)
- [snapshot llms.txt](/staff-members/llms.txt)
